import request from '@/utils/request'

// 查询成品库存主表列表
export function listMajor(query) {
	return request({
		url: '/wms/major/list',
		method: 'get',
		params: query
	});
}

// 查询成品库存主表详细
export function getMajor(storageId) {
	return request({
		url: '/wms/major/' + storageId,
		method: 'get'
		});
}

// 新增成品库存主表
export function addMajor(data) {
	return request({
		url: '/wms/major',
		method: 'post',
		data: data
	});
}

// 修改成品库存主表
export function updateMajor(data) {
	return request({
		url: '/wms/major',
		method: 'put',
		data: data
	});
}

// 删除成品库存主表
export function delMajor(storageId) {
	return request({
		url: '/wms/major/' + storageId,
		method: 'delete'
	});
}
